/* statistics.h
 */

/* Returns the mean */
double
compute_mean(unsigned nvalues, const double *values,
	     unsigned tolerance, double *sigma);

/* Adapts a line x[i] = k y[i] + m using least squares. Returns k, and
 * also stores m and the resulting square error - sum(y[i]^2) */
double
compute_line(unsigned nvalues, const double *x, const double *y,
	     double *m, double *error);

	     
